Subject: bug#32514: closed (Re: bug#32514: mailutils Guile bindings are broken)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 24 Aug 2018 18:21:02 +0000

Your bug report

#32514: mailutils Guile bindings are broken

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
32514: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=32514
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#32514: mailutils Guile bindings are broken
From: Ricardo Wurmus <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Fri, 24 Aug 2018 20:05:26 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!

>> Are the bindings not usable with Guile 2.2?
>
> No, but I have good news: those in Mailutils master are usable.  Here’s
> a recipe: […]
> Below is a simple example to get started.  The Mailutils API is not this
> complicated but it took me a while to figure it out, so you might find
> that module helpful.

Thank you!

I was hoping to use some procedures from Mailutils to simplify parsing
Debbugs emails, so that I don’t have to implement, say, a parser for
Quoted Printable string encodings.  I’ll play with this for a while.

I’m closing this bug now, because I guess this will all be fine with the
next release.

--
Ricardo

Subject: mailutils Guile bindings are broken
From: Ricardo Wurmus <[email-masked]>
To: [email-masked]
Date: Thu, 23 Aug 2018 22:13:25 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

There are at least three problems with the Guile bindings for mailutils:

1. the Guile source files are not compiled.

2. the Guile source files are installed to $out/share/guile/site/ and
are thus not found with “,use (mailutils mailutils)” in a Guile REPL.

3. the Guile session segfaults when loading the module:

--8<---------------cut here---------------start------------->8---
rekado in debbugs [env]: guile
GNU Guile 2.2.4
Copyright (C) 1995-2017 Free Software Foundation, Inc.

Guile comes with ABSOLUTELY NO WARRANTY; for details type `,show w'.
This program is free software, and you are welcome to redistribute it
under certain conditions; type `,show c' for details.

Enter `,help' for help.
scheme@(guile-user)> (add-to-load-path "/gnu/store/50lg0i5rqw1g7nf0ar2afgs788mgdjmq-mailutils-3.4/share/guile/site/")
scheme@(guile-user)> ,use (mailutils mailutils)
;;; note: auto-compilation is enabled, set GUILE_AUTO_COMPILE=0
;;;       or pass the --no-auto-compile argument to disable.
;;; compiling /gnu/store/50lg0i5rqw1g7nf0ar2afgs788mgdjmq-mailutils-3.4/share/guile/site/mailutils/mailutils.scm
;;; compiled /home/rekado/.cache/guile/ccache/2.2-LE-8-3.A/gnu/store/50lg0i5rqw1g7nf0ar2afgs788mgdjmq-mailutils-3.4/share/guile/site/mailutils/mailutils.scm.go
Segmentation fault
rekado in debbugs [env]:
--8<---------------cut here---------------end--------------->8---

Are the bindings not usable with Guile 2.2?

--
Ricardo